> For the complete documentation index, see [llms.txt](https://docs.alphaus.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphaus.cloud/v2.0-english/api-reference/stacks/delete-stack.md).

# Delete stack

```
DELETE /v2/alm/stack/{stack_id}
```

Request header:

```
Authorization: Bearer eyJ0eXAiOiJ83fjQb3LzMeXzQfME
Content-Type: application/json
```

Response body:

```ruby
HTTP/1.1 200 OK
{   
    'status':'DELETE_IN_PROGRESS'
}
```

{% hint style="info" %}
It may take couple minutes to delete all related resources of your stack. Though the API will try to delete all resources (such as ELB, security groups, subnets, keypairs, etc) created by this stack, but in case some resource are linked/shared across other stacks, it may shown as a *DELETE-FAILED* response, and you may need to manually resolve the conflict resources in your Cloud vendor account (eg. AWS) and call the API to delete the stack again.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alphaus.cloud/v2.0-english/api-reference/stacks/delete-stack.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
